Advice and answers from the BitPay Team

System Requirements

  • BitPay.com account
  • PrestaShop 1.4+
  • PHP 5+
  • Curl PHP Extension
  • JSON PHP Extension

Configuration

The current version of the prestashop plugin is version 1.5. It is available either by cloning this repository or downloading the .zip or .tgz file from the releases page.

For Prestashop versions 1.5 and older:

  1. Upload files to your PrestaShop installation.
  2. Go to your PrestaShop administration. Modules -> Payments & Gateways -> "BitPay" click [Install]
  3. Go to your PrestaShop administration. Modules -> Payments & Gateways -> "BitPay" click [Configure]
  4. Create an API Key in your bitpay account at bitpay.com.
  5. Enter your API Key from step 4.
  6. Choose "Low" or "Medium" Speed. The High Speed setting is broken.

For Prestashop versions 1.6 and newer:

  1. Upload files to your PrestaShop installation.
  2. Go to your PrestaShop administration. Modules -> "BitPay" click [Install]
  3. Go to your PrestaShop administration. Modules -> "BitPay" click [Configure]
  4. Create an API Key in your bitpay account at bitpay.com.
  5. Enter your API Key from step 4.
  6. Choose "Low" or "Medium" Speed. The High Speed setting is broken.
Did this answer your question?